#include <bits/stdc++.h>
using namespace std;

int f(int br, int h[])
{
    int cnt = 0;

    for(int i = 1; i <= sqrt(br); i++)
    {
        if(br%i==0)
        {
            if(br == i*i)
            {
                cnt+= h[i];
                if(br == 1 && i == 1)
                cnt--;
            }
            else
            {
                cnt+= (h[i]+  h[br/i]);
                if(br == i)
                    cnt--;
                if(i == 1)
                    cnt--;
            }

        }
    }
    return cnt;
}

int main()
{
    int maxBr = -1;
    int n, idx = -1;
    int a[100010];
    int h[100010] = { 0 };




    cin >> n;
    for(int i = 0; i < n ; i++)
    {
        cin >> a[i];
        h[a[i]]++;
    }



    for(int i = 0; i < n ;i++)
    {
        int koliko = f(a[i], h);


       if(maxBr < koliko)
       {
           idx = i;
           maxBr = koliko;
       }
    }

    cout << a[idx];

    return 0;
}

